#!/bin/bash

#pushd /boot

pwd

cp uInitrd uInitrd_$(date +%Y%m%d%H%M)
cp uImage   uImage_$(date +%Y%m%d%H%M)


/usr/bin/mkimage \
	-A arm \
	-O linux \
	-T kernel \
	-C none \
	-a 0x00008000 \
	-e 0x00008000 \
	-n Linux-4.12.1-kirkwood-tld-1 \
	-d vmlinuz-4.12.1-kirkwood-tld-1 \
	uImage

/usr/bin/mkimage \
	-A arm \
	-O linux \
	-T ramdisk \
	-C gzip \
	-a 0x00000000 \
	-e 0x00000000 \
	-n initramfs-4.12.1-kirkwood-tld-1 \
	-d initrd.img-4.12.1-kirkwood-tld-1 \
	uInitrd
#popd
